For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList SenderPools
      • POSTCreate a SenderPool
      • GETFetch a SenderPool
      • DELDelete a SenderPool
      • PATCHUpdate a SenderPool
      • GETList Senders in a SenderPool
      • POSTAdd Senders to a SenderPool
      • DELRemove a Sender from a SenderPool
      • GETList Sender Pool Operations
      • GETFetch a SenderPool Operation
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSender Pools

Add Senders to a SenderPool

POST
https://comms.twilio.com/v1/SenderPools/:senderPoolId/Senders
POST
/v1/SenderPools/:senderPoolId/Senders
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senderPools.addSender("senderPoolId", [
9 {
10 senderId: "comms_sender_01h9krwprkeee8fzqspvwy6nq8",
11 },
12 ]);
13}
14main();
1{
2 "operationId": "comms_operation_01h9krwprkeee8fzqspvwy6nq8",
3 "operationLocation": "https://comms.twilio.com/v1/SenderPools/comms_senderpool_01h9krwprkeee8fzqspvwy6nq8/Senders/Operations/comms_operation_01h9krwprkeee8fzqspvwy6nq8"
4}
This operation adds Senders to a SenderPool
Was this page helpful?
Previous

Remove a Sender from a SenderPool

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

senderPoolIdstringRequired

Request

This endpoint expects a list of objects.
senderIdstringRequiredformat: "^comms_sender_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a Sender.

Response headers

Locationstring

The location (uri) of the Operation resource. Issue a GET request to this URI to retrieve the status of the Operation.

Response

The request was accepted and an Operation was created to track its progress. The response body contains the ID and link to the Operation resource.
operationIdstringformat: "^comms_operation_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
The Operation ID is an identifier that can be used to correlate all of the resources created in a request. Issue a GET request to the resource list location, using the Operation ID as a query parameter to retrieve the resources that correlate with the Operation.
operationLocationstringformat: "uri"

The location (uri) of the Operation resource identified by operationId.

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error